# Long Challenge

The long challenge is the first step to join amFOSS. Enthusiastic students are expected to complete the tasks in the long challenge on their own, and update about their progress daily in the channel. On seeing the student's progress and interest, the top students of the Long Challenge are invited to participate in the next Praveshan contest.

**How to Participate in the Long Challenge**

1. **Email Us** - Send us a well-composed email, expressing your interest and motivation for joining the club.
2. **Join the Conversation** - After reading through your email, we will add you to the Telegram Group/IRC/Mailing List of enthusiasts wishing to join the club.
3. **Do tasks in the Long Challenge** - Go to the current long challenge branch in this repository, where you will find tasks and goals set for you. Start doing them.
4. **Update Us** - Share your daily progress in the form of a status update into the group, so that we can access your skill and dedication.
5. **Get Invited** - The top performers in the long challenge are invited to particpate in a live contest at the FOSSLab, based on which they will be further interviewed and selected into the club.

